NullLogger (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.logger.NullLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.logger
Class NullLogger

    java.lang.Object
      org.apache.avalon.framework.logger.NullLogger

All Implemented Interfaces:
  Logger

public final class NullLogger
extends Object
implements Logger

The Null Logger class. This is useful for implementations where you need to provide a logger to a utility class, but do not want any output from it. It also helps when you have a utility that does not have a logger to supply.

Version:
  CVS $Revision: 1.11 $ $Date: 2003/02/11 15:58:41 $
Author:
  Avalon Development Team

Constructor Summary
`NullLogger()` Creates a new `NullLogger`.

Method Summary
`void` | `debug(String message)` No-op.
`void` | `debug(String message, Throwable throwable)` No-op.
`void` | `error(String message)` No-op.
`void` | `error(String message, Throwable throwable)` No-op.
`void` | `fatalError(String message)` No-op.
`void` | `fatalError(String message, Throwable throwable)` No-op.
`Logger` | `getChildLogger(String name)` Returns this `NullLogger`.
`void` | `info(String message)` No-op.
`void` | `info(String message, Throwable throwable)` No-op.
`boolean` | `isDebugEnabled()` No-op.
`boolean` | `isErrorEnabled()` No-op.
`boolean` | `isFatalErrorEnabled()` No-op.
`boolean` | `isInfoEnabled()` No-op.
`boolean` | `isWarnEnabled()` No-op.
`void` | `warn(String message)` No-op.
`void` | `warn(String message, Throwable throwable)` No-op.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogger

    public NullLogger()

  Creates a new `NullLogger`.

Method Detail

### debug

    public void debug(String message)

  No-op.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - ignored

### debug

    public void debug(String message,
                      Throwable throwable)

  No-op.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - ignored
    `throwable` - ignored

### isDebugEnabled

    public boolean isDebugEnabled()

  No-op.

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    `false`

### info

    public void info(String message)

  No-op.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - ignored

### info

    public void info(String message,
                     Throwable throwable)

  No-op.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - ignored
    `throwable` - ignored

### isInfoEnabled

    public boolean isInfoEnabled()

  No-op.

  Specified by:
    `isInfoEnabled` in interface `Logger`
  Returns:
    `false`

### warn

    public void warn(String message)

  No-op.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - ignored

### warn

    public void warn(String message,
                     Throwable throwable)

  No-op.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - ignored
    `throwable` - ignored

### isWarnEnabled

    public boolean isWarnEnabled()

  No-op.

  Specified by:
    `isWarnEnabled` in interface `Logger`
  Returns:
    `false`

### error

    public void error(String message)

  No-op.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - ignored

### error

    public void error(String message,
                      Throwable throwable)

  No-op.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - ignored
    `throwable` - ignored

### isErrorEnabled

    public boolean isErrorEnabled()

  No-op.

  Specified by:
    `isErrorEnabled` in interface `Logger`
  Returns:
    `false`

### fatalError

    public void fatalError(String message)

  No-op.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - ignored

### fatalError

    public void fatalError(String message,
                           Throwable throwable)

  No-op.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - ignored
    `throwable` - ignored

### isFatalErrorEnabled

    public boolean isFatalErrorEnabled()

  No-op.

  Specified by:
    `isFatalErrorEnabled` in interface `Logger`
  Returns:
    `false`

### getChildLogger

    public Logger getChildLogger(String name)

  Returns this `NullLogger`.

  Specified by:
    `getChildLogger` in interface `Logger`
  Parameters:
    `name` - ignored
  Returns:
    this `NullLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.